Vendor Risk Attributes
List vendor risk attributes
Returns a list of vendor risk attributes.
GET
/
vendor-risk-attributes
List vendor risk attributes
curl --request GET \
--url https://api.vanta.com/v1/vendor-risk-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/vendor-risk-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/vendor-risk-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d8",
"name": "Read internal systems",
"description": "The vendor can view or read data from internal systems, such as task trackers or sales tools.",
"vendorCategories": [
"Marketing",
"Office operation",
"Recruiting",
"Other"
],
"enabled": true,
"riskLevel": "LOW"
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "6696ea0595df50d5cd6ec3b7",
"endCursor": "6696ece48eb1f98ff3d927c6"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List vendor risk attributes
